/*==========Google Fonts==========*/
@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600;700;800;900&display=swap");

@import url("https://fonts.googleapis.com/css2?family=Dancing+Script:wght@400;500;600;700&display=swap");

/*==========Reset==========*/
*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  border: 0;
  box-sizing: border-box;
  outline: none;
  text-decoration: none;
  list-style: none;
  font-family: "Poppins", sans-serif;
}

/*==========Root==========*/
:root {
  --color-primary: hsl(11, 79%, 44%) 0000;
  --color-secondary: rgb(206, 199, 199);
  --color-brown: hsl(23, 22%, 21%);
  --color-black: hsl(0, 100%, 1%);
  --color-white: hsl(0, 0%, 100%);
  --color-transparent: hsla(0, 0%, 100%, 0);
  --color-gradient: linear-gradient(
    180deg,
    hsl(24, 22%, 14%) 20%,
    hsl(33, 49%, 66%) 50%,
    hsl(33, 49%, 66%) 10%
  );
  --color-gradient-1: linear-gradient(260deg, #9b6c50 0%, #4f2626) 100%;

  --font-size: 0.9rem;
  --line-height: 1.6;

  --transition: all 400ms ease-in-out;

  --container-lg: 80%;
  --container-md: 90%;
  --container-max-wd: 1920px;

  --shadow: 0px 1px 3px hsla(0, 0%, 0%, 0.5);
  --shadow-1: 0px 10px 50px rgba(0, 0, 0, 0.048);
  --shadow-2: -20px 15px 5px hsla(0, 0%, 0%, 0.5);
  --shadow-3: -20px 15px 5px hsla(0, 0%, 0%, 0.212);

  --font-logo: "Dancing Script", cursive;
}

/*==========Base==========*/
html {
  scroll-behavior: smooth;
  scroll-padding-top: 1rem;
}

body {
  background: var(--color-white);
  color: var(--color-black);
  line-height: var(--line-height);
  font-size: var(--font-size);
}

/*==========General Styles==========*/
::-webkit-scrollbar {
  width: 0.5rem;
}

::-webkit-scrollbar-track {
  background: var(--color-white);
}

::-webkit-scrollbar-thumb {
  background: var(--color-primary);
}

.container {
  width: var(--container-lg);
  max-width: var(--container-max-wd);
  margin-inline: auto;
}

section {
  padding: 3rem 0;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  line-height: 1.1;
}

h1 {
  font-size: 3rem;
}

h2 {
  font-size: 2rem;
}

h3 {
  font-size: 1.6rem;
}

h4 {
  font-size: 1.1rem;
}

h5 {
  font-size: 0.9rem;
}

h6 {
  font-size: 0.8rem;
}

a {
  transition: var(--transition);
}

img {
  width: 100%;
}

/*==========Media Query Tablet==========*/
@media (max-width: 992px) {
  body {
    font-size: 1rem;
  }

  .container {
    width: var(--container-md);
  }

  h1 {
    font-size: 2rem;
  }
}

/*==========Media Query Mobile==========*/
@media (max-width: 768px) {
  section {
    padding: 1rem 0;
  }
  h1 {
    font-size: 2.4rem;
  }

  h2 {
    font-size: 1.8rem;
  }

  h3 {
    font-size: 1.4rem;
  }

  h4 {
    font-size: 1rem;
  }

  .btn {
    padding: 0.6rem 1.5rem;
  }
}

/*==========Header==========*/
.header {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  padding: 2rem auto;
  height: 6rem;
  background: var(--color-primary);
  transition: var(--transition);
  z-index: 99;
  border-bottom: 2.5px solid var(--color-black);
}

.header__container {
  display: flex;
  align-items: center;
  align-content: center;
  justify-content: space-between;
}

.logo__image {
  margin-top: 0.7rem;
  width: 12rem;
  filter: contrast(1.5);
}

.navbar {
  display: flex;
  justify-content: center;
}

.navbar__item {
  position: relative;
}

.navabar__list {
  display: flex;
  gap: 2.5rem;
}

.navbar__item .navbar__link a {
  text-transform: uppercase;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--color-white);
  transition: var(--transition);
  position: relative;
}

.navbar__item .navbar__link a:hover {
  color: var(--color-black);
}

.navbar__item .navbar__link a::after {
  content: "";
  width: 0;
  height: 3px;
  color: var(--color-black);
  background: var(--color-black);
  position: absolute;
  left: 0;
  bottom: -2px;
  transition: width 0.4s;
}

.navbar__item .navbar__link a:hover::after {
  width: 100%;
}

.open__btn,
.close__btn {
  display: none;
}

/*==========JavaScript==========*/
.scrolling-header {
  box-shadow: var(--shadow);
  background: var(--color-secondary);
}

/*==========Media Query Tablet Header==========*/
@media (max-width: 992px) {
  .open__btn,
  .close__btn {
    display: inline-block;
    font-size: 1.8rem;
    color: var(--color-white);
    cursor: pointer;
  }

  .overlay {
    position: absolute;
    right: 0;
    background: var(--color-transparent);
    width: 100vw;
    height: 100vh;
    z-index: -1;
  }

  .navbar {
    position: absolute;
    top: 0;
    right: -100%;
    width: 40%;
    height: 100vh;
    background: var(--color-primary);
    padding: 1rem 2rem;
    transition: var(--transition);
  }

  .navabar__list {
    width: 100%;
    gap: 3rem;
    flex-direction: column;
    align-items: flex-start;
    padding: 7rem 0 0;
  }
}

/*==========Media Query Mobile Header==========*/
@media (max-width: 768px) {
  .navbar {
    width: 70%;
  }
}

/*==========Home==========*/
.home {
  position: relative;
  width: 100%;
  height: 100vh;
  padding: 0 5%;
  display: flex;
  align-items: center;
  justify-content: center;
}

.home__video {
  display: flex;
  position: absolute;
  right: 0;
  bottom: 0;
  z-index: -1;
  filter: contrast(1.5);
}

@media (min-aspect-ratio: 16/9) {
  .home__video {
    width: 100%;
    height: auto;
  }
}

@media (max-aspect-ratio: 16/9) {
  .home__video {
    width: auto;
    height: 100%;
  }
}

.home__content {
  text-align: center;
}

.home__content h1 {
  color: var(--color-white);
  font-size: 3rem;
  text-shadow: var(--shadow);
}

.home__content h2 {
  color: var(--color-white);
  font-size: 2.5rem;
  text-shadow: var(--shadow);
}

/*==========About==========*/
.about__content {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
 
}

.about__content h1 {
  text-transform: uppercase;
  color: #ca3a18;
  border-bottom: #ca3a18 2px solid;
}
.about__content p {
  font-size: .9rem;
  margin: 0 5rem;
  padding-bottom: 15px;
}
.about__content span {
  color: #ca3a18;
  font-weight: 600;
}

/*==========Media Query About==========*/
@media (max-width:768px){
.about .container{
  margin: 0 auto;
}
.about__content p{
  padding: 0;
  margin: 0;
}



}
.cards {
  margin-top: 5rem;
  display: grid;
  grid-template-columns: repeat(3,1fr);
  grid-column-gap: 0px;
}

.middle {
  position: relative;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  margin-bottom: 2rem;
}

.card {
  cursor: pointer;
  width: 300px;
  height: 300px;
}

.front,
.back {
  width: 100%;
  height: 100%;
  overflow: hidden;
  backface-visibility: hidden;
  position: absolute;
  transition: transform 0.6s linear;
}

.front {
  background-size: cover;
  border-radius: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  border: 2px solid #ca3a18;
}

.front {
  transform: perspective(600px) rotateY(0deg);
}
.front h2 {
  text-transform: uppercase;
  color: #ca3a18;
  background-color: var(--color-white);
  padding: 5px;
  border-radius: 10px;
  border: 1px solid #ca3a18;
  font-size: 2rem;
  text-shadow: var(--shadow-1);
}

#missao {
  background-image: url(/assets/images/missao.jpeg);
}

#visao {
  background-image: url(/assets/images/visao.jpeg);
}

#valores {
  background-image: url(/assets/images/valores.jpeg);
}

.back {
  background: #ca3a18;
  transform: perspective(600px) rotateY(180deg);
  border-radius: 20px;
}

.back_content {
  color: var(--body-color);
  text-align: center;
  width: 100%;
}
.back_content h2 {
  text-transform: uppercase;
  padding: 5px 0;
  color: var(--color-white);
}
.back_content span{
  color: var(--color-white);
}

.card:hover > .front {
  transform: perspective(600px) rotateY(-180deg);
}

.card:hover > .back {
  transform: perspective(600px) rotateY(0deg);
}

/*==========Media Query Card==========*/

@media (max-width: 1024px){
  .cards{
    grid-template-columns:1fr;
  }
  .card{
    margin-top: 2rem;
  }
}

/*==========Projetos==========*/
.projeto {
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: 100vh;
  background: #fff;
  transform-style: preserve-3d;
}
.projeto__content {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.projeto__content h1 {
  text-transform: uppercase;
  color: #ca3a18;
  border-bottom: #ca3a18 2px solid;
  margin: 4rem;
}

.box {
  position: relative;
  width: 200px;
  height: 200px;
  transform-style: preserve-3d;
  transition: 1.5s;
  transform: perspective(1000px) rotateY(0deg);
}

.box span {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transform-origin: center;
  transform-style: preserve-3d;
  transform: rotateY(calc(var(--i) * 45deg)) translateZ(300px);
  -webkit-box-reflect: below 10px linear-gradient(transparent, #0004);
}

.box span img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  user-select: none;
}
.btns {
  position: absolute;
  bottom: 10px;
  display: flex;
  gap: 30px;
}

.btns .btn {
  position: relative;
  width: 60px;
  height: 60px;
  border: 2px solid #ca3a18;
  border-radius: 50%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
.btns .btn:active {
  background: #ca3a18;
}

.btns .btn::before {
  content: "";
  position: absolute;
  width: 15px;
  height: 15px;
  border-top: 3px solid #ca3a18;
  border-right: 3px solid #ca3a18;
  transform: rotate(45deg) translate(-2.5px, 2.5px);
}
.btns .btn.prev::before {
  transform: rotate(225deg) translate(-2.5px, 2.5px);
}

.btns .btn:active::before {
  border-top: 3px solid #000;
  border-right: 3px solid #000;
}

/*==========Media Query Card==========*/
@media (max-width: 768px){
     .projeto{
    overflow-x: hidden;
  }
  .btns {
    bottom: 90px;
    gap: 120px;
  }
}


/*==========Contato==========*/
.contact__content {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.contact {
  display: flex;
  flex-direction: column;
  align-items: center;
  height: auto;
  background: var(--color-white);
  color: var(--color-black);
}

.contact h1 {
  text-transform: uppercase;
  color: #ca3a18;
  border-bottom: #ca3a18 2px solid;
  margin: 4rem;
}
.contact__container {
  margin-block-start: 0.4rem;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 2rem 8%;
}
.contact__row {
  display: flex;
  justify-content: space-between;
  width: 100%;
  max-width: 1100px;
}
.contact__row .col {
  display: flex;
  flex-direction: column;
}
.contact__row .left {
  flex-basis: 35%;
  min-width: 320px;
  margin-right: 1rem;
}
.contact__row .right {
  flex-basis: 60%;
}
.contact__group {
  display: flex;
  align-items: center;
  margin: 1.5rem 0;
}
.contact__icon {
  position: relative;
  width: 45px;
  height: 45px;
  margin-right: 1rem;
}
.contact__icon span i {
  position: absolute;
  font-size: 1.5rem;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  color: #ca3a18;
}
.contact__details {
  display: block;
  color: var(--color-black);
  display: flex;
  flex-direction: column;
  gap: 0.1rem;
}
.contact__details span:nth-child(1) {
  text-transform: uppercase;
  font-weight: 600;
}
.messege__form {
  display: flex;
  justify-content: space-between;
  flex-wrap: wrap;
  padding: 1rem;
}
.form__group {
  position: relative;
  margin: 1rem 0;
}
.form__group .btn {
  cursor: pointer;
  padding: 0.5rem 1rem;
  color: var(--color-white);
  border: transparent 1px solid;
  background-color: #ca3a18;
  border-radius: 20px;
  font-size: 1.3rem;
  transition: var(--transition);
}

.form__group .btn:hover{
  border: #ca3a18 1px solid;
  color: #ca3a18;
  background-color: var(--color-white);
}
.form__group label {
  color: var(--color-black);
}
.form__width {
  flex-basis: 48%;
}
.form__widthfull {
  flex-basis: 100%;
}
.messege__form input,
.messege__form textarea {
  width: 100%;
  padding: 2px 0;
  background: var(--color-transparent);
  color: var(--color-black);
  font-weight: 600;
  border-bottom: 1px solid #ca3a18;
}
.messege__form textarea {
  display: block;
  resize: none;
  height: 4rem;
}
.messege__form textarea::placeholder {
  color: var(--color-white);
}
.messege__form textarea label {
  margin-bottom: 1.4rem;
}
textarea::-webkit-scrollbar {
  width: 5px;
}
textarea::-webkit-scrollbar-track {
  background: var(--color-semi-2);
  border-radius: 15px;
}
textarea::-webkit-scrollbar-thumb {
  background: var(--color-light-blue);
  border-radius: 15px;
}
.form__group label {
  position: absolute;
  left: 0;
  bottom: 1.4rem;
  transition: 0.4s;
  pointer-events: none;
}
.form__group:nth-child(5) label {
  top: 2px;
}
.form__group input:focus ~ label,
.form__group textarea:focus ~ label {
  transform: translateY(-10px);
}

/*==========Media Query Contact==========*/
@media (max-width: 1350px) {
  .form__width {
    flex-basis: 100%;
  }
}

@media (max-width: 1100px) {
  .contact__row {
    flex-wrap: wrap;
  }
  .contact__row .right,
  .contact__row .left {
    flex-basis: 100%;
    margin: 0;
  }
}

.contact__content h1 {
  text-transform: uppercase;
  color: #ca3a18;
  border-bottom: #ca3a18 2px solid;
}

/*==========Media Query Mobile Home==========*/
@media (max-width: 992px) {
  .home__content h1 {
    font-size: 2rem;
  }

  .home__content h2 {
    font-size: 1.5rem;
  }
}

/*==========Media Query Mobile Home==========*/
@media (max-width: 768px) {
  .home__video {
    filter: contrast(2);
  }

  .home__content h1 {
    font-size: 2rem;
  }
}

/*==========Footer==========*/

footer section {
  background-color: #ca3a18;
  padding: 1rem 0;
}

.content-footer {
  display: flex;
  justify-content: center;
  flex-direction: column;
  align-items: center;
}

.icons-footer {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
}

.icons-footer a {
  font-size: 2.5rem;
  transition: var(--transition);
}

.icons-footer a:hover {
  transform: translateY(-1rem);
}

.content-footer p,
a {
  color: white;
  font-family: "Poppins", sans-serif;
  padding-bottom: 0.5rem;
  font-size: 0.8rem;
}
